Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.servlets.jsp.taglib
Class SelectTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.content.servlets.jsp.taglib.BaseTag
                  |
                  +--com.bea.p13n.content.servlets.jsp.taglib.SelectTag

public class SelectTag
extends BaseTag

JSP Tag implementation for searching for content.

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `contentHome` The JNDI content manager home name.
`protected java.util.Map` | `contextParams` Context params.
`protected Expression` | `expr` The query.
`protected long` | `max` The maximum number of content to return.
`protected Expression` | `oldExpr` Deprecated. will be removed when old expressions are removed.
`protected java.lang.String` | `queryStr` The query string.
`protected java.lang.String` | `sortBy` The sort by clause.

Fields inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`cacheId, cacheScope, cacheTimeout, failOnError, readOnly, useCache`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`SelectTag()`

Method Summary
`int` | `doStartTag()` Run the tag.
`java.lang.String` | `getContentHome()` Get the value of `contentHome`.
`java.util.Map` | `getContextParams()` Get the context params.
`java.lang.String` | `getMax()` Get the value of `max` as a String.
`java.lang.String` | `getQuery()` Get the value of `queryStr`.
`java.lang.String` | `getSortBy()` Get the value of `sortBy`.
`void` | `release()` Release this tag.
`void` | `setContentHome(java.lang.String v)` Set the value of `contentHome`.
`void` | `setContextParams(java.util.Map m)` Set the context params.
`void` | `setContextParams(java.lang.String str)` Set the context params from semi-colon separate list of name=value pairs.
`void` | `setExpression(Expression expr)` Set the expression object to use.
`void` | `setExpression(Expression expr)` Deprecated. will be removed when old expressions are removed.
`void` | `setMax(long l)` Set the value of `max`.
`void` | `setMax(java.lang.String v)` Set the value of `max`.
`void` | `setQuery(java.lang.String v)` Set the value of `queryStr`.
`void` | `setSortBy(java.lang.String v)` Set the value of `sortBy`.

Methods inherited from class com.bea.p13n.content.servlets.jsp.taglib.BaseTag
`getCacheId, getCacheScope, getCacheTimeout, getFailOnError, getHttpSession, getReadOnly, getUseCache, getUserId, setCacheId, setCacheScope, setCacheTimeout, setCacheTimeout, setFailOnError, setFailOnError, setReadOnly, setReadOnly, setUseCache, setUseCache, toDictionary`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### contentHome

    protected java.lang.String contentHome

  The JNDI content manager home name.

### max

    protected long max

  The maximum number of content to return.

### sortBy

    protected java.lang.String sortBy

  The sort by clause.

### queryStr

    protected java.lang.String queryStr

  The query string.

### expr

    protected Expression expr

  The query.

  If this is non-null, this will be used. Otherwise, the old expression query will be used.

### oldExpr

    protected Expression oldExpr

  Deprecated. will be removed when old expressions are removed.
  The old expression query.

  If expr is null and this is non-null, this will be used. Otherwise, the query string will be used.

### contextParams

    protected java.util.Map contextParams

  Context params.

Constructor Detail

### SelectTag

    public SelectTag()

Method Detail

### release

    public void release()

  Release this tag.

  Overrides:
    release in class BaseTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Run the tag.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### getContentHome

    public java.lang.String getContentHome()

  Get the value of `contentHome`.

### setContentHome

    public void setContentHome(java.lang.String v)

  Set the value of `contentHome`.

### getMax

    public java.lang.String getMax()

  Get the value of `max` as a String.

### setMax

    public void setMax(java.lang.String v)

  Set the value of `max`.

### setMax

    public void setMax(long l)

  Set the value of `max`.

### getSortBy

    public java.lang.String getSortBy()

  Get the value of `sortBy`.

### setSortBy

    public void setSortBy(java.lang.String v)

  Set the value of `sortBy`.

### getQuery

    public java.lang.String getQuery()

  Get the value of `queryStr`.

### setQuery

    public void setQuery(java.lang.String v)

  Set the value of `queryStr`.

### setExpression

    public void setExpression(Expression expr)

  Set the expression object to use.

### setExpression

    public void setExpression(Expression expr)

  Deprecated. will be removed when old expressions are removed.
  Set the old expression object to use.

### getContextParams

    public java.util.Map getContextParams()

  Get the context params.

### setContextParams

    public void setContextParams(java.lang.String str)

  Set the context params from semi-colon separate list of name=value pairs.

### setContextParams

    public void setContextParams(java.util.Map m)

  Set the context params.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved